#!/bin/tcsh -f
# Script to count repository size 

set LOGFILE           = /tmp/archiveRepositorySize.`date +%y%m%d_%H%M%S`.log
set EMAIL_LIST        = esdc_soho_logs@sciops.esa.int
set EMAIL_SUBJECT_TAG = REPOSITORY_SIZE

echo '##############################################################'     | tee -a $LOGFILE
echo " Size of SSA Repository for monthly stats purposes"                 | tee -a $LOGFILE
echo " `date` "							  	  | tee -a $LOGFILE
echo '##############################################################'     | tee -a $LOGFILE
echo "du -s /ssa/sps2/science: `du -s /ssa/sps2/science`"                 | tee -a $LOGFILE
echo "du -s /ssa/sps         : `du -s /ssa/sps`"                          | tee -a $LOGFILE
echo "(size in KB)/1024/1024 GB" 
echo '##############################################################'     | tee -a $LOGFILE
echo " Size of PROBA-2 Data for monthly stats purposes"                 | tee -a $LOGFILE
echo '##############################################################'     | tee -a $LOGFILE
echo "du -s /ssa/sps/science/swap : `du -s /ssa/sps/science/swap`"        | tee -a $LOGFILE
echo "du -s /ssa/sps/science/lyra : `du -s /ssa/sps/science/lyra`"        | tee -a $LOGFILE
echo "du -s /ssa/sps/realtime/swap: `du -s /ssa/sps/realtime/swap`"       | tee -a $LOGFILE
echo "(size in KB)/1024/1024 GB"                                          | tee -a $LOGFILE
echo '##############################################################'     | tee -a $LOGFILE
echo ''                                                                   | tee -a $LOGFILE
echo 'Please review current stats procedure at:'                          | tee -a $LOGFILE
echo 'http://satscm.esac.esa.int/trac/SSA/wiki/SsaStats'                  | tee -a $LOGFILE

cat $LOGFILE | /bin/mailx -s "[$EMAIL_SUBJECT_TAG] Repository size" $EMAIL_LIST
rm $LOGFILE
